package com.persagy.proxy.adm.controller;

import com.persagy.proxy.adm.constant.AdmCommonConstant;
import com.persagy.proxy.adm.model.AdmRelationAddRequest;
import com.persagy.proxy.adm.model.AdmTenant;
import com.persagy.proxy.adm.request.AdmCreateResponse;
import com.persagy.proxy.adm.request.AdmQueryCriteria;
import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.adm.service.AdmManualRelationCalcService;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.QueryParam;

/***
 * Description:手动计算输入类
 * @author : lijie
 * @date :2021/8/31 11:37
 * Update By lijie 2021/8/31 11:37
 */
@RestController
@RequestMapping("/rel-manual-calc/")
@RequiredArgsConstructor
public class AdmManualRelationCalcController {

    private final AdmManualRelationCalcService admManualRelationCalcService;
    
    /***
     * Description: 添加关系
     * @param request : 请求参数
     * @return : com.persagy.proxy.adm.request.AdmCreateResponse  
     * @author : lijie
     * @date :2021/8/31 12:10
     * Update By lijie 2021/8/31 12:10
     */
    @PostMapping(value = "add")
    public AdmCreateResponse addRels(@RequestBody AdmRelationAddRequest request) throws Exception {
        return admManualRelationCalcService.addRels(request);
    }




}
